### Method

# Gegl Color get_rgba

#### Declaration [src]

    void
    gegl_color_get_rgba (
      GeglColor* color,
      gdouble* red,
      gdouble* green,
      gdouble* blue,
      gdouble* alpha
    )

#### Description [src]

Retrieves the current set color as linear light non premultipled RGBA data, any of the return pointers can be omitted.

#### Parameters

`red`

  Type: `gdouble*`

  Red return location.

  The argument will be set by the function.

`green`

  Type: `gdouble*`

  Green return location.

  The argument will be set by the function.

`blue`

  Type: `gdouble*`

  Blue return location.

  The argument will be set by the function.

`alpha`

  Type: `gdouble*`

  Alpha return location.

  The argument will be set by the function.